<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.WindpowerinfodayMapper">
   <!--<cache type="com.gyee.frame.common.cache.MybatisRedisCache"/>-->
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Windpowerinfoday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="ID" jdbcType="INTEGER" property="id" />
    <result column="FOREIGNKEYID" jdbcType="VARCHAR" property="foreignkeyid" />
    <result column="RUNHOURS" jdbcType="DECIMAL" property="runhours" />
    <result column="STOPHOURS" jdbcType="DECIMAL" property="stophours" />
    <result column="FAULTHOURS" jdbcType="DECIMAL" property="faulthours" />
    <result column="MAINTAINHOURS" jdbcType="DECIMAL" property="maintainhours" />
    <result column="INTERRUPTHOURS" jdbcType="DECIMAL" property="interrupthours" />
    <result column="GENERATINGCAPACITY" jdbcType="DECIMAL" property="generatingcapacity" />
    <result column="SPEED" jdbcType="DECIMAL" property="speed" />
    <result column="POWER" jdbcType="DECIMAL" property="power" />
    <result column="RECORDDATE" jdbcType="DATE" property="recorddate" />
    <result column="GRIDELECTRICITY" jdbcType="DECIMAL" property="gridelectricity" />
    <result column="BUYELECTRICITY" jdbcType="DECIMAL" property="buyelectricity" />
    <result column="INSTOP" jdbcType="DECIMAL" property="instop" />
    <result column="OUTSTOP" jdbcType="DECIMAL" property="outstop" />
    <result column="RUNTIME" jdbcType="DECIMAL" property="runtime" />
    <result column="STOPTIME" jdbcType="DECIMAL" property="stoptime" />
    <result column="FAULTTIME" jdbcType="DECIMAL" property="faulttime" />
    <result column="MAINTAINTIME" jdbcType="DECIMAL" property="maintaintime" />
    <result column="INTERRUPTTIME" jdbcType="DECIMAL" property="interrupttime" />
    <result column="MONTHGC" jdbcType="DECIMAL" property="monthgc" />
    <result column="YEARGC" jdbcType="DECIMAL" property="yeargc" />
    <result column="THEORYGENERATION" jdbcType="DECIMAL" property="theorygeneration" />
    <result column="LOSSOFPOWER" jdbcType="DECIMAL" property="lossofpower" />
    <result column="FIELDELECTRICITY" jdbcType="DECIMAL" property="fieldelectricity" />
    <result column="GENERATINGCAPACITY2" jdbcType="DECIMAL" property="generatingcapacity2" />
    <result column="WINDPOWERSTATIONID" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="PROJECTID" jdbcType="VARCHAR" property="projectid" />
    <result column="LINEID" jdbcType="VARCHAR" property="lineid" />
    <result column="LOCATION" jdbcType="VARCHAR" property="location" />
    <result column="BUYAGRICULTUREELECTRICITY" jdbcType="DECIMAL" property="buyagricultureelectricity" />
    <result column="MONTHGC2" jdbcType="DECIMAL" property="monthgc2" />
    <result column="YEARGC2" jdbcType="DECIMAL" property="yeargc2" />
    <result column="SPEED2" jdbcType="DECIMAL" property="speed2" />
    <result column="MAXSPEED" jdbcType="DECIMAL" property="maxspeed" />
    <result column="MINSPEED" jdbcType="DECIMAL" property="minspeed" />
    <result column="LIMITPOWER" jdbcType="DECIMAL" property="limitpower" />
    <result column="TOTALGC" jdbcType="DECIMAL" property="totalgc" />
    <result column="TOTALGC2" jdbcType="DECIMAL" property="totalgc2" />
    <result column="THEORYGENERATIONZS" jdbcType="DECIMAL" property="theorygenerationzs" />
    <result column="WINDHOURS" jdbcType="DECIMAL" property="windhours" />
    <result column="MAXPOWER" jdbcType="DECIMAL" property="maxpower" />
    <result column="MINPOWER" jdbcType="DECIMAL" property="minpower" />
    <result column="MONTHGE" jdbcType="DECIMAL" property="monthge" />
    <result column="YEARGE" jdbcType="DECIMAL" property="yearge" />
    <result column="MONTHBE" jdbcType="DECIMAL" property="monthbe" />
    <result column="YEARBE" jdbcType="DECIMAL" property="yearbe" />
    <result column="MONTHAE" jdbcType="DECIMAL" property="monthae" />
    <result column="YEARAE" jdbcType="DECIMAL" property="yearae" />
    <result column="GENERATINGCAPACITY4" jdbcType="DECIMAL" property="generatingcapacity4" />
    <result column="GRIDELECTRICITY4" jdbcType="DECIMAL" property="gridelectricity4" />
    <result column="BUYELECTRICITY4" jdbcType="DECIMAL" property="buyelectricity4" />
    <result column="BUYAGRICULTUREELECTRICITY4" jdbcType="DECIMAL" property="buyagricultureelectricity4" />
    <result column="DAYLYXS" jdbcType="DECIMAL" property="daylyxs" />
    <result column="MONTHLYXS" jdbcType="DECIMAL" property="monthlyxs" />
    <result column="YEARLYXS" jdbcType="DECIMAL" property="yearlyxs" />
    <result column="DAYZHCYDL" jdbcType="DECIMAL" property="dayzhcydl" />
    <result column="MONTHZHCYDL" jdbcType="DECIMAL" property="monthzhcydl" />
    <result column="YEARZHCYDL" jdbcType="DECIMAL" property="yearzhcydl" />
    <result column="DAYSBKLYL" jdbcType="DECIMAL" property="daysbklyl" />
    <result column="MONTHSBKLYL" jdbcType="DECIMAL" property="monthsbklyl" />
    <result column="YEARSBKLYL" jdbcType="DECIMAL" property="yearsbklyl" />
    <result column="DAYDXKYXS" jdbcType="DECIMAL" property="daydxkyxs" />
    <result column="MONTHDXKYXS" jdbcType="DECIMAL" property="monthdxkyxs" />
    <result column="YEARDXKYXS" jdbcType="DECIMAL" property="yeardxkyxs" />
    <result column="MONTHSPEED" jdbcType="DECIMAL" property="monthspeed" />
    <result column="YEARSPEED" jdbcType="DECIMAL" property="yearspeed" />
    <result column="MONTHRUNTIME" jdbcType="DECIMAL" property="monthruntime" />
    <result column="MONHTSTOPTIME" jdbcType="DECIMAL" property="monhtstoptime" />
    <result column="MONTHFAULTTIME" jdbcType="DECIMAL" property="monthfaulttime" />
    <result column="MONTHMAINTAINTIME" jdbcType="DECIMAL" property="monthmaintaintime" />
    <result column="MONTHINTERRUPTTIME" jdbcType="DECIMAL" property="monthinterrupttime" />
    <result column="YEARRUNTIME" jdbcType="DECIMAL" property="yearruntime" />
    <result column="YEARSTOPTIME" jdbcType="DECIMAL" property="yearstoptime" />
    <result column="YEARFAULTTIME" jdbcType="DECIMAL" property="yearfaulttime" />
    <result column="YEARMAINTAINTIME" jdbcType="DECIMAL" property="yearmaintaintime" />
    <result column="YEARINTERRUPTTIME" jdbcType="DECIMAL" property="yearinterrupttime" />
    <result column="DAYCALENDARHOURS" jdbcType="DECIMAL" property="daycalendarhours" />
    <result column="MONTHCALENDARHOURS" jdbcType="DECIMAL" property="monthcalendarhours" />
    <result column="YEARCALENDARHOURS" jdbcType="DECIMAL" property="yearcalendarhours" />
    <result column="LOSSOFPOWER1" jdbcType="DECIMAL" property="lossofpower1" />
    <result column="LOSSOFPOWER2" jdbcType="DECIMAL" property="lossofpower2" />
    <result column="LOSSOFPOWER3" jdbcType="DECIMAL" property="lossofpower3" />
    <result column="LOSSOFPOWER4" jdbcType="DECIMAL" property="lossofpower4" />
    <result column="MONTHWINDHOURS" jdbcType="DECIMAL" property="monthwindhours" />
    <result column="YEARWINDHOURS" jdbcType="DECIMAL" property="yearwindhours" />
    <result column="BROWNOUTSTIME" jdbcType="DECIMAL" property="brownoutstime" />
    <result column="MONTHBROWNOUTSTIME" jdbcType="DECIMAL" property="monthbrownoutstime" />
    <result column="YEARBROWNOUTSTIME" jdbcType="DECIMAL" property="yearbrownoutstime" />
    <result column="MAINLOSSIN" jdbcType="DECIMAL" property="mainlossin" />
    <result column="FAULTLOSSIN" jdbcType="DECIMAL" property="faultlossin" />
    <result column="ELECTRICLOSSOUT" jdbcType="DECIMAL" property="electriclossout" />
    <result column="WEATHERLOSSOUT" jdbcType="DECIMAL" property="weatherlossout" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    ID, FOREIGNKEYID, RUNHOURS, STOPHOURS, FAULTHOURS, MAINTAINHOURS, INTERRUPTHOURS, 
    GENERATINGCAPACITY, SPEED, POWER, RECORDDATE, GRIDELECTRICITY, BUYELECTRICITY, INSTOP, 
    OUTSTOP, RUNTIME, STOPTIME, FAULTTIME, MAINTAINTIME, INTERRUPTTIME, MONTHGC, YEARGC, 
    THEORYGENERATION, LOSSOFPOWER, FIELDELECTRICITY, GENERATINGCAPACITY2, WINDPOWERSTATIONID, 
    PROJECTID, LINEID, LOCATION, BUYAGRICULTUREELECTRICITY, MONTHGC2, YEARGC2, SPEED2, 
    MAXSPEED, MINSPEED, LIMITPOWER, TOTALGC, TOTALGC2, THEORYGENERATIONZS, WINDHOURS, 
    MAXPOWER, MINPOWER, MONTHGE, YEARGE, MONTHBE, YEARBE, MONTHAE, YEARAE, GENERATINGCAPACITY4, 
    GRIDELECTRICITY4, BUYELECTRICITY4, BUYAGRICULTUREELECTRICITY4, DAYLYXS, MONTHLYXS, 
    YEARLYXS, DAYZHCYDL, MONTHZHCYDL, YEARZHCYDL, DAYSBKLYL, MONTHSBKLYL, YEARSBKLYL, 
    DAYDXKYXS, MONTHDXKYXS, YEARDXKYXS, MONTHSPEED, YEARSPEED, MONTHRUNTIME, MONHTSTOPTIME, 
    MONTHFAULTTIME, MONTHMAINTAINTIME, MONTHINTERRUPTTIME, YEARRUNTIME, YEARSTOPTIME, 
    YEARFAULTTIME, YEARMAINTAINTIME, YEARINTERRUPTTIME, DAYCALENDARHOURS, MONTHCALENDARHOURS, 
    YEARCALENDARHOURS, LOSSOFPOWER1, LOSSOFPOWER2, LOSSOFPOWER3, LOSSOFPOWER4, MONTHWINDHOURS, 
    YEARWINDHOURS, BROWNOUTSTIME, MONTHBROWNOUTSTIME, YEARBROWNOUTSTIME, MAINLOSSIN, 
    FAULTLOSSIN, ELECTRICLOSSOUT, WEATHERLOSSOUT
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.WindpowerinfodayExample" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windpowerinfoday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windpowerinfoday
    where ID = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windpowerinfoday
    where ID = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.WindpowerinfodayExample">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windpowerinfoday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Windpowerinfoday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windpowerinfoday (ID, FOREIGNKEYID, RUNHOURS, 
      STOPHOURS, FAULTHOURS, MAINTAINHOURS, 
      INTERRUPTHOURS, GENERATINGCAPACITY, SPEED, 
      POWER, RECORDDATE, GRIDELECTRICITY, 
      BUYELECTRICITY, INSTOP, OUTSTOP, 
      RUNTIME, STOPTIME, FAULTTIME, 
      MAINTAINTIME, INTERRUPTTIME, MONTHGC, 
      YEARGC, THEORYGENERATION, LOSSOFPOWER, 
      FIELDELECTRICITY, GENERATINGCAPACITY2, 
      WINDPOWERSTATIONID, PROJECTID, LINEID, 
      LOCATION, BUYAGRICULTUREELECTRICITY, MONTHGC2, 
      YEARGC2, SPEED2, MAXSPEED, 
      MINSPEED, LIMITPOWER, TOTALGC, 
      TOTALGC2, THEORYGENERATIONZS, WINDHOURS, 
      MAXPOWER, MINPOWER, MONTHGE, 
      YEARGE, MONTHBE, YEARBE, 
      MONTHAE, YEARAE, GENERATINGCAPACITY4, 
      GRIDELECTRICITY4, BUYELECTRICITY4, BUYAGRICULTUREELECTRICITY4, 
      DAYLYXS, MONTHLYXS, YEARLYXS, 
      DAYZHCYDL, MONTHZHCYDL, YEARZHCYDL, 
      DAYSBKLYL, MONTHSBKLYL, YEARSBKLYL, 
      DAYDXKYXS, MONTHDXKYXS, YEARDXKYXS, 
      MONTHSPEED, YEARSPEED, MONTHRUNTIME, 
      MONHTSTOPTIME, MONTHFAULTTIME, MONTHMAINTAINTIME, 
      MONTHINTERRUPTTIME, YEARRUNTIME, YEARSTOPTIME, 
      YEARFAULTTIME, YEARMAINTAINTIME, YEARINTERRUPTTIME, 
      DAYCALENDARHOURS, MONTHCALENDARHOURS, YEARCALENDARHOURS, 
      LOSSOFPOWER1, LOSSOFPOWER2, LOSSOFPOWER3, 
      LOSSOFPOWER4, MONTHWINDHOURS, YEARWINDHOURS, 
      BROWNOUTSTIME, MONTHBROWNOUTSTIME, YEARBROWNOUTSTIME, 
      MAINLOSSIN, FAULTLOSSIN, ELECTRICLOSSOUT, 
      WEATHERLOSSOUT)
    values (#{id,jdbcType=INTEGER}, #{foreignkeyid,jdbcType=VARCHAR}, #{runhours,jdbcType=DECIMAL}, 
      #{stophours,jdbcType=DECIMAL}, #{faulthours,jdbcType=DECIMAL}, #{maintainhours,jdbcType=DECIMAL}, 
      #{interrupthours,jdbcType=DECIMAL}, #{generatingcapacity,jdbcType=DECIMAL}, #{speed,jdbcType=DECIMAL}, 
      #{power,jdbcType=DECIMAL}, #{recorddate,jdbcType=DATE}, #{gridelectricity,jdbcType=DECIMAL}, 
      #{buyelectricity,jdbcType=DECIMAL}, #{instop,jdbcType=DECIMAL}, #{outstop,jdbcType=DECIMAL}, 
      #{runtime,jdbcType=DECIMAL}, #{stoptime,jdbcType=DECIMAL}, #{faulttime,jdbcType=DECIMAL}, 
      #{maintaintime,jdbcType=DECIMAL}, #{interrupttime,jdbcType=DECIMAL}, #{monthgc,jdbcType=DECIMAL}, 
      #{yeargc,jdbcType=DECIMAL}, #{theorygeneration,jdbcType=DECIMAL}, #{lossofpower,jdbcType=DECIMAL}, 
      #{fieldelectricity,jdbcType=DECIMAL}, #{generatingcapacity2,jdbcType=DECIMAL}, 
      #{windpowerstationid,jdbcType=VARCHAR}, #{projectid,jdbcType=VARCHAR}, #{lineid,jdbcType=VARCHAR}, 
      #{location,jdbcType=VARCHAR}, #{buyagricultureelectricity,jdbcType=DECIMAL}, #{monthgc2,jdbcType=DECIMAL}, 
      #{yeargc2,jdbcType=DECIMAL}, #{speed2,jdbcType=DECIMAL}, #{maxspeed,jdbcType=DECIMAL}, 
      #{minspeed,jdbcType=DECIMAL}, #{limitpower,jdbcType=DECIMAL}, #{totalgc,jdbcType=DECIMAL}, 
      #{totalgc2,jdbcType=DECIMAL}, #{theorygenerationzs,jdbcType=DECIMAL}, #{windhours,jdbcType=DECIMAL}, 
      #{maxpower,jdbcType=DECIMAL}, #{minpower,jdbcType=DECIMAL}, #{monthge,jdbcType=DECIMAL}, 
      #{yearge,jdbcType=DECIMAL}, #{monthbe,jdbcType=DECIMAL}, #{yearbe,jdbcType=DECIMAL}, 
      #{monthae,jdbcType=DECIMAL}, #{yearae,jdbcType=DECIMAL}, #{generatingcapacity4,jdbcType=DECIMAL}, 
      #{gridelectricity4,jdbcType=DECIMAL}, #{buyelectricity4,jdbcType=DECIMAL}, #{buyagricultureelectricity4,jdbcType=DECIMAL}, 
      #{daylyxs,jdbcType=DECIMAL}, #{monthlyxs,jdbcType=DECIMAL}, #{yearlyxs,jdbcType=DECIMAL}, 
      #{dayzhcydl,jdbcType=DECIMAL}, #{monthzhcydl,jdbcType=DECIMAL}, #{yearzhcydl,jdbcType=DECIMAL}, 
      #{daysbklyl,jdbcType=DECIMAL}, #{monthsbklyl,jdbcType=DECIMAL}, #{yearsbklyl,jdbcType=DECIMAL}, 
      #{daydxkyxs,jdbcType=DECIMAL}, #{monthdxkyxs,jdbcType=DECIMAL}, #{yeardxkyxs,jdbcType=DECIMAL}, 
      #{monthspeed,jdbcType=DECIMAL}, #{yearspeed,jdbcType=DECIMAL}, #{monthruntime,jdbcType=DECIMAL}, 
      #{monhtstoptime,jdbcType=DECIMAL}, #{monthfaulttime,jdbcType=DECIMAL}, #{monthmaintaintime,jdbcType=DECIMAL}, 
      #{monthinterrupttime,jdbcType=DECIMAL}, #{yearruntime,jdbcType=DECIMAL}, #{yearstoptime,jdbcType=DECIMAL}, 
      #{yearfaulttime,jdbcType=DECIMAL}, #{yearmaintaintime,jdbcType=DECIMAL}, #{yearinterrupttime,jdbcType=DECIMAL}, 
      #{daycalendarhours,jdbcType=DECIMAL}, #{monthcalendarhours,jdbcType=DECIMAL}, #{yearcalendarhours,jdbcType=DECIMAL}, 
      #{lossofpower1,jdbcType=DECIMAL}, #{lossofpower2,jdbcType=DECIMAL}, #{lossofpower3,jdbcType=DECIMAL}, 
      #{lossofpower4,jdbcType=DECIMAL}, #{monthwindhours,jdbcType=DECIMAL}, #{yearwindhours,jdbcType=DECIMAL}, 
      #{brownoutstime,jdbcType=DECIMAL}, #{monthbrownoutstime,jdbcType=DECIMAL}, #{yearbrownoutstime,jdbcType=DECIMAL}, 
      #{mainlossin,jdbcType=DECIMAL}, #{faultlossin,jdbcType=DECIMAL}, #{electriclossout,jdbcType=DECIMAL}, 
      #{weatherlossout,jdbcType=DECIMAL})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Windpowerinfoday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windpowerinfoday
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        ID,
      </if>
      <if test="foreignkeyid != null">
        FOREIGNKEYID,
      </if>
      <if test="runhours != null">
        RUNHOURS,
      </if>
      <if test="stophours != null">
        STOPHOURS,
      </if>
      <if test="faulthours != null">
        FAULTHOURS,
      </if>
      <if test="maintainhours != null">
        MAINTAINHOURS,
      </if>
      <if test="interrupthours != null">
        INTERRUPTHOURS,
      </if>
      <if test="generatingcapacity != null">
        GENERATINGCAPACITY,
      </if>
      <if test="speed != null">
        SPEED,
      </if>
      <if test="power != null">
        POWER,
      </if>
      <if test="recorddate != null">
        RECORDDATE,
      </if>
      <if test="gridelectricity != null">
        GRIDELECTRICITY,
      </if>
      <if test="buyelectricity != null">
        BUYELECTRICITY,
      </if>
      <if test="instop != null">
        INSTOP,
      </if>
      <if test="outstop != null">
        OUTSTOP,
      </if>
      <if test="runtime != null">
        RUNTIME,
      </if>
      <if test="stoptime != null">
        STOPTIME,
      </if>
      <if test="faulttime != null">
        FAULTTIME,
      </if>
      <if test="maintaintime != null">
        MAINTAINTIME,
      </if>
      <if test="interrupttime != null">
        INTERRUPTTIME,
      </if>
      <if test="monthgc != null">
        MONTHGC,
      </if>
      <if test="yeargc != null">
        YEARGC,
      </if>
      <if test="theorygeneration != null">
        THEORYGENERATION,
      </if>
      <if test="lossofpower != null">
        LOSSOFPOWER,
      </if>
      <if test="fieldelectricity != null">
        FIELDELECTRICITY,
      </if>
      <if test="generatingcapacity2 != null">
        GENERATINGCAPACITY2,
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID,
      </if>
      <if test="projectid != null">
        PROJECTID,
      </if>
      <if test="lineid != null">
        LINEID,
      </if>
      <if test="location != null">
        LOCATION,
      </if>
      <if test="buyagricultureelectricity != null">
        BUYAGRICULTUREELECTRICITY,
      </if>
      <if test="monthgc2 != null">
        MONTHGC2,
      </if>
      <if test="yeargc2 != null">
        YEARGC2,
      </if>
      <if test="speed2 != null">
        SPEED2,
      </if>
      <if test="maxspeed != null">
        MAXSPEED,
      </if>
      <if test="minspeed != null">
        MINSPEED,
      </if>
      <if test="limitpower != null">
        LIMITPOWER,
      </if>
      <if test="totalgc != null">
        TOTALGC,
      </if>
      <if test="totalgc2 != null">
        TOTALGC2,
      </if>
      <if test="theorygenerationzs != null">
        THEORYGENERATIONZS,
      </if>
      <if test="windhours != null">
        WINDHOURS,
      </if>
      <if test="maxpower != null">
        MAXPOWER,
      </if>
      <if test="minpower != null">
        MINPOWER,
      </if>
      <if test="monthge != null">
        MONTHGE,
      </if>
      <if test="yearge != null">
        YEARGE,
      </if>
      <if test="monthbe != null">
        MONTHBE,
      </if>
      <if test="yearbe != null">
        YEARBE,
      </if>
      <if test="monthae != null">
        MONTHAE,
      </if>
      <if test="yearae != null">
        YEARAE,
      </if>
      <if test="generatingcapacity4 != null">
        GENERATINGCAPACITY4,
      </if>
      <if test="gridelectricity4 != null">
        GRIDELECTRICITY4,
      </if>
      <if test="buyelectricity4 != null">
        BUYELECTRICITY4,
      </if>
      <if test="buyagricultureelectricity4 != null">
        BUYAGRICULTUREELECTRICITY4,
      </if>
      <if test="daylyxs != null">
        DAYLYXS,
      </if>
      <if test="monthlyxs != null">
        MONTHLYXS,
      </if>
      <if test="yearlyxs != null">
        YEARLYXS,
      </if>
      <if test="dayzhcydl != null">
        DAYZHCYDL,
      </if>
      <if test="monthzhcydl != null">
        MONTHZHCYDL,
      </if>
      <if test="yearzhcydl != null">
        YEARZHCYDL,
      </if>
      <if test="daysbklyl != null">
        DAYSBKLYL,
      </if>
      <if test="monthsbklyl != null">
        MONTHSBKLYL,
      </if>
      <if test="yearsbklyl != null">
        YEARSBKLYL,
      </if>
      <if test="daydxkyxs != null">
        DAYDXKYXS,
      </if>
      <if test="monthdxkyxs != null">
        MONTHDXKYXS,
      </if>
      <if test="yeardxkyxs != null">
        YEARDXKYXS,
      </if>
      <if test="monthspeed != null">
        MONTHSPEED,
      </if>
      <if test="yearspeed != null">
        YEARSPEED,
      </if>
      <if test="monthruntime != null">
        MONTHRUNTIME,
      </if>
      <if test="monhtstoptime != null">
        MONHTSTOPTIME,
      </if>
      <if test="monthfaulttime != null">
        MONTHFAULTTIME,
      </if>
      <if test="monthmaintaintime != null">
        MONTHMAINTAINTIME,
      </if>
      <if test="monthinterrupttime != null">
        MONTHINTERRUPTTIME,
      </if>
      <if test="yearruntime != null">
        YEARRUNTIME,
      </if>
      <if test="yearstoptime != null">
        YEARSTOPTIME,
      </if>
      <if test="yearfaulttime != null">
        YEARFAULTTIME,
      </if>
      <if test="yearmaintaintime != null">
        YEARMAINTAINTIME,
      </if>
      <if test="yearinterrupttime != null">
        YEARINTERRUPTTIME,
      </if>
      <if test="daycalendarhours != null">
        DAYCALENDARHOURS,
      </if>
      <if test="monthcalendarhours != null">
        MONTHCALENDARHOURS,
      </if>
      <if test="yearcalendarhours != null">
        YEARCALENDARHOURS,
      </if>
      <if test="lossofpower1 != null">
        LOSSOFPOWER1,
      </if>
      <if test="lossofpower2 != null">
        LOSSOFPOWER2,
      </if>
      <if test="lossofpower3 != null">
        LOSSOFPOWER3,
      </if>
      <if test="lossofpower4 != null">
        LOSSOFPOWER4,
      </if>
      <if test="monthwindhours != null">
        MONTHWINDHOURS,
      </if>
      <if test="yearwindhours != null">
        YEARWINDHOURS,
      </if>
      <if test="brownoutstime != null">
        BROWNOUTSTIME,
      </if>
      <if test="monthbrownoutstime != null">
        MONTHBROWNOUTSTIME,
      </if>
      <if test="yearbrownoutstime != null">
        YEARBROWNOUTSTIME,
      </if>
      <if test="mainlossin != null">
        MAINLOSSIN,
      </if>
      <if test="faultlossin != null">
        FAULTLOSSIN,
      </if>
      <if test="electriclossout != null">
        ELECTRICLOSSOUT,
      </if>
      <if test="weatherlossout != null">
        WEATHERLOSSOUT,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="foreignkeyid != null">
        #{foreignkeyid,jdbcType=VARCHAR},
      </if>
      <if test="runhours != null">
        #{runhours,jdbcType=DECIMAL},
      </if>
      <if test="stophours != null">
        #{stophours,jdbcType=DECIMAL},
      </if>
      <if test="faulthours != null">
        #{faulthours,jdbcType=DECIMAL},
      </if>
      <if test="maintainhours != null">
        #{maintainhours,jdbcType=DECIMAL},
      </if>
      <if test="interrupthours != null">
        #{interrupthours,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity != null">
        #{generatingcapacity,jdbcType=DECIMAL},
      </if>
      <if test="speed != null">
        #{speed,jdbcType=DECIMAL},
      </if>
      <if test="power != null">
        #{power,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=DATE},
      </if>
      <if test="gridelectricity != null">
        #{gridelectricity,jdbcType=DECIMAL},
      </if>
      <if test="buyelectricity != null">
        #{buyelectricity,jdbcType=DECIMAL},
      </if>
      <if test="instop != null">
        #{instop,jdbcType=DECIMAL},
      </if>
      <if test="outstop != null">
        #{outstop,jdbcType=DECIMAL},
      </if>
      <if test="runtime != null">
        #{runtime,jdbcType=DECIMAL},
      </if>
      <if test="stoptime != null">
        #{stoptime,jdbcType=DECIMAL},
      </if>
      <if test="faulttime != null">
        #{faulttime,jdbcType=DECIMAL},
      </if>
      <if test="maintaintime != null">
        #{maintaintime,jdbcType=DECIMAL},
      </if>
      <if test="interrupttime != null">
        #{interrupttime,jdbcType=DECIMAL},
      </if>
      <if test="monthgc != null">
        #{monthgc,jdbcType=DECIMAL},
      </if>
      <if test="yeargc != null">
        #{yeargc,jdbcType=DECIMAL},
      </if>
      <if test="theorygeneration != null">
        #{theorygeneration,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower != null">
        #{lossofpower,jdbcType=DECIMAL},
      </if>
      <if test="fieldelectricity != null">
        #{fieldelectricity,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity2 != null">
        #{generatingcapacity2,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="location != null">
        #{location,jdbcType=VARCHAR},
      </if>
      <if test="buyagricultureelectricity != null">
        #{buyagricultureelectricity,jdbcType=DECIMAL},
      </if>
      <if test="monthgc2 != null">
        #{monthgc2,jdbcType=DECIMAL},
      </if>
      <if test="yeargc2 != null">
        #{yeargc2,jdbcType=DECIMAL},
      </if>
      <if test="speed2 != null">
        #{speed2,jdbcType=DECIMAL},
      </if>
      <if test="maxspeed != null">
        #{maxspeed,jdbcType=DECIMAL},
      </if>
      <if test="minspeed != null">
        #{minspeed,jdbcType=DECIMAL},
      </if>
      <if test="limitpower != null">
        #{limitpower,jdbcType=DECIMAL},
      </if>
      <if test="totalgc != null">
        #{totalgc,jdbcType=DECIMAL},
      </if>
      <if test="totalgc2 != null">
        #{totalgc2,jdbcType=DECIMAL},
      </if>
      <if test="theorygenerationzs != null">
        #{theorygenerationzs,jdbcType=DECIMAL},
      </if>
      <if test="windhours != null">
        #{windhours,jdbcType=DECIMAL},
      </if>
      <if test="maxpower != null">
        #{maxpower,jdbcType=DECIMAL},
      </if>
      <if test="minpower != null">
        #{minpower,jdbcType=DECIMAL},
      </if>
      <if test="monthge != null">
        #{monthge,jdbcType=DECIMAL},
      </if>
      <if test="yearge != null">
        #{yearge,jdbcType=DECIMAL},
      </if>
      <if test="monthbe != null">
        #{monthbe,jdbcType=DECIMAL},
      </if>
      <if test="yearbe != null">
        #{yearbe,jdbcType=DECIMAL},
      </if>
      <if test="monthae != null">
        #{monthae,jdbcType=DECIMAL},
      </if>
      <if test="yearae != null">
        #{yearae,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity4 != null">
        #{generatingcapacity4,jdbcType=DECIMAL},
      </if>
      <if test="gridelectricity4 != null">
        #{gridelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="buyelectricity4 != null">
        #{buyelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="buyagricultureelectricity4 != null">
        #{buyagricultureelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayzhcydl != null">
        #{dayzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="monthzhcydl != null">
        #{monthzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="yearzhcydl != null">
        #{yearzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthspeed != null">
        #{monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="yearspeed != null">
        #{yearspeed,jdbcType=DECIMAL},
      </if>
      <if test="monthruntime != null">
        #{monthruntime,jdbcType=DECIMAL},
      </if>
      <if test="monhtstoptime != null">
        #{monhtstoptime,jdbcType=DECIMAL},
      </if>
      <if test="monthfaulttime != null">
        #{monthfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="monthmaintaintime != null">
        #{monthmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="monthinterrupttime != null">
        #{monthinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="yearruntime != null">
        #{yearruntime,jdbcType=DECIMAL},
      </if>
      <if test="yearstoptime != null">
        #{yearstoptime,jdbcType=DECIMAL},
      </if>
      <if test="yearfaulttime != null">
        #{yearfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="yearmaintaintime != null">
        #{yearmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="yearinterrupttime != null">
        #{yearinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="daycalendarhours != null">
        #{daycalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="monthcalendarhours != null">
        #{monthcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="yearcalendarhours != null">
        #{yearcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower1 != null">
        #{lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower2 != null">
        #{lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower3 != null">
        #{lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower4 != null">
        #{lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="monthwindhours != null">
        #{monthwindhours,jdbcType=DECIMAL},
      </if>
      <if test="yearwindhours != null">
        #{yearwindhours,jdbcType=DECIMAL},
      </if>
      <if test="brownoutstime != null">
        #{brownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="monthbrownoutstime != null">
        #{monthbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="yearbrownoutstime != null">
        #{yearbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="mainlossin != null">
        #{mainlossin,jdbcType=DECIMAL},
      </if>
      <if test="faultlossin != null">
        #{faultlossin,jdbcType=DECIMAL},
      </if>
      <if test="electriclossout != null">
        #{electriclossout,jdbcType=DECIMAL},
      </if>
      <if test="weatherlossout != null">
        #{weatherlossout,jdbcType=DECIMAL},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.WindpowerinfodayExample" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windpowerinfoday
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windpowerinfoday
    <set>
      <if test="record.id != null">
        ID = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.foreignkeyid != null">
        FOREIGNKEYID = #{record.foreignkeyid,jdbcType=VARCHAR},
      </if>
      <if test="record.runhours != null">
        RUNHOURS = #{record.runhours,jdbcType=DECIMAL},
      </if>
      <if test="record.stophours != null">
        STOPHOURS = #{record.stophours,jdbcType=DECIMAL},
      </if>
      <if test="record.faulthours != null">
        FAULTHOURS = #{record.faulthours,jdbcType=DECIMAL},
      </if>
      <if test="record.maintainhours != null">
        MAINTAINHOURS = #{record.maintainhours,jdbcType=DECIMAL},
      </if>
      <if test="record.interrupthours != null">
        INTERRUPTHOURS = #{record.interrupthours,jdbcType=DECIMAL},
      </if>
      <if test="record.generatingcapacity != null">
        GENERATINGCAPACITY = #{record.generatingcapacity,jdbcType=DECIMAL},
      </if>
      <if test="record.speed != null">
        SPEED = #{record.speed,jdbcType=DECIMAL},
      </if>
      <if test="record.power != null">
        POWER = #{record.power,jdbcType=DECIMAL},
      </if>
      <if test="record.recorddate != null">
        RECORDDATE = #{record.recorddate,jdbcType=DATE},
      </if>
      <if test="record.gridelectricity != null">
        GRIDELECTRICITY = #{record.gridelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.buyelectricity != null">
        BUYELECTRICITY = #{record.buyelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.instop != null">
        INSTOP = #{record.instop,jdbcType=DECIMAL},
      </if>
      <if test="record.outstop != null">
        OUTSTOP = #{record.outstop,jdbcType=DECIMAL},
      </if>
      <if test="record.runtime != null">
        RUNTIME = #{record.runtime,jdbcType=DECIMAL},
      </if>
      <if test="record.stoptime != null">
        STOPTIME = #{record.stoptime,jdbcType=DECIMAL},
      </if>
      <if test="record.faulttime != null">
        FAULTTIME = #{record.faulttime,jdbcType=DECIMAL},
      </if>
      <if test="record.maintaintime != null">
        MAINTAINTIME = #{record.maintaintime,jdbcType=DECIMAL},
      </if>
      <if test="record.interrupttime != null">
        INTERRUPTTIME = #{record.interrupttime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgc != null">
        MONTHGC = #{record.monthgc,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargc != null">
        YEARGC = #{record.yeargc,jdbcType=DECIMAL},
      </if>
      <if test="record.theorygeneration != null">
        THEORYGENERATION = #{record.theorygeneration,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower != null">
        LOSSOFPOWER = #{record.lossofpower,jdbcType=DECIMAL},
      </if>
      <if test="record.fieldelectricity != null">
        FIELDELECTRICITY = #{record.fieldelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.generatingcapacity2 != null">
        GENERATINGCAPACITY2 = #{record.generatingcapacity2,jdbcType=DECIMAL},
      </if>
      <if test="record.windpowerstationid != null">
        WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        LINEID = #{record.lineid,jdbcType=VARCHAR},
      </if>
      <if test="record.location != null">
        LOCATION = #{record.location,jdbcType=VARCHAR},
      </if>
      <if test="record.buyagricultureelectricity != null">
        BUYAGRICULTUREELECTRICITY = #{record.buyagricultureelectricity,jdbcType=DECIMAL},
      </if>
      <if test="record.monthgc2 != null">
        MONTHGC2 = #{record.monthgc2,jdbcType=DECIMAL},
      </if>
      <if test="record.yeargc2 != null">
        YEARGC2 = #{record.yeargc2,jdbcType=DECIMAL},
      </if>
      <if test="record.speed2 != null">
        SPEED2 = #{record.speed2,jdbcType=DECIMAL},
      </if>
      <if test="record.maxspeed != null">
        MAXSPEED = #{record.maxspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.minspeed != null">
        MINSPEED = #{record.minspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.limitpower != null">
        LIMITPOWER = #{record.limitpower,jdbcType=DECIMAL},
      </if>
      <if test="record.totalgc != null">
        TOTALGC = #{record.totalgc,jdbcType=DECIMAL},
      </if>
      <if test="record.totalgc2 != null">
        TOTALGC2 = #{record.totalgc2,jdbcType=DECIMAL},
      </if>
      <if test="record.theorygenerationzs != null">
        THEORYGENERATIONZS = #{record.theorygenerationzs,jdbcType=DECIMAL},
      </if>
      <if test="record.windhours != null">
        WINDHOURS = #{record.windhours,jdbcType=DECIMAL},
      </if>
      <if test="record.maxpower != null">
        MAXPOWER = #{record.maxpower,jdbcType=DECIMAL},
      </if>
      <if test="record.minpower != null">
        MINPOWER = #{record.minpower,jdbcType=DECIMAL},
      </if>
      <if test="record.monthge != null">
        MONTHGE = #{record.monthge,jdbcType=DECIMAL},
      </if>
      <if test="record.yearge != null">
        YEARGE = #{record.yearge,jdbcType=DECIMAL},
      </if>
      <if test="record.monthbe != null">
        MONTHBE = #{record.monthbe,jdbcType=DECIMAL},
      </if>
      <if test="record.yearbe != null">
        YEARBE = #{record.yearbe,jdbcType=DECIMAL},
      </if>
      <if test="record.monthae != null">
        MONTHAE = #{record.monthae,jdbcType=DECIMAL},
      </if>
      <if test="record.yearae != null">
        YEARAE = #{record.yearae,jdbcType=DECIMAL},
      </if>
      <if test="record.generatingcapacity4 != null">
        GENERATINGCAPACITY4 = #{record.generatingcapacity4,jdbcType=DECIMAL},
      </if>
      <if test="record.gridelectricity4 != null">
        GRIDELECTRICITY4 = #{record.gridelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="record.buyelectricity4 != null">
        BUYELECTRICITY4 = #{record.buyelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="record.buyagricultureelectricity4 != null">
        BUYAGRICULTUREELECTRICITY4 = #{record.buyagricultureelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="record.daylyxs != null">
        DAYLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthlyxs != null">
        MONTHLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yearlyxs != null">
        YEARLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.dayzhcydl != null">
        DAYZHCYDL = #{record.dayzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthzhcydl != null">
        MONTHZHCYDL = #{record.monthzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearzhcydl != null">
        YEARZHCYDL = #{record.yearzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="record.daysbklyl != null">
        DAYSBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.monthsbklyl != null">
        MONTHSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.yearsbklyl != null">
        YEARSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="record.daydxkyxs != null">
        DAYDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthdxkyxs != null">
        MONTHDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.yeardxkyxs != null">
        YEARDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="record.monthspeed != null">
        MONTHSPEED = #{record.monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.yearspeed != null">
        YEARSPEED = #{record.yearspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.monthruntime != null">
        MONTHRUNTIME = #{record.monthruntime,jdbcType=DECIMAL},
      </if>
      <if test="record.monhtstoptime != null">
        MONHTSTOPTIME = #{record.monhtstoptime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthfaulttime != null">
        MONTHFAULTTIME = #{record.monthfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthmaintaintime != null">
        MONTHMAINTAINTIME = #{record.monthmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthinterrupttime != null">
        MONTHINTERRUPTTIME = #{record.monthinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearruntime != null">
        YEARRUNTIME = #{record.yearruntime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearstoptime != null">
        YEARSTOPTIME = #{record.yearstoptime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearfaulttime != null">
        YEARFAULTTIME = #{record.yearfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearmaintaintime != null">
        YEARMAINTAINTIME = #{record.yearmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearinterrupttime != null">
        YEARINTERRUPTTIME = #{record.yearinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="record.daycalendarhours != null">
        DAYCALENDARHOURS = #{record.daycalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="record.monthcalendarhours != null">
        MONTHCALENDARHOURS = #{record.monthcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="record.yearcalendarhours != null">
        YEARCALENDARHOURS = #{record.yearcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower1 != null">
        LOSSOFPOWER1 = #{record.lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower2 != null">
        LOSSOFPOWER2 = #{record.lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower3 != null">
        LOSSOFPOWER3 = #{record.lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="record.lossofpower4 != null">
        LOSSOFPOWER4 = #{record.lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="record.monthwindhours != null">
        MONTHWINDHOURS = #{record.monthwindhours,jdbcType=DECIMAL},
      </if>
      <if test="record.yearwindhours != null">
        YEARWINDHOURS = #{record.yearwindhours,jdbcType=DECIMAL},
      </if>
      <if test="record.brownoutstime != null">
        BROWNOUTSTIME = #{record.brownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="record.monthbrownoutstime != null">
        MONTHBROWNOUTSTIME = #{record.monthbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="record.yearbrownoutstime != null">
        YEARBROWNOUTSTIME = #{record.yearbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="record.mainlossin != null">
        MAINLOSSIN = #{record.mainlossin,jdbcType=DECIMAL},
      </if>
      <if test="record.faultlossin != null">
        FAULTLOSSIN = #{record.faultlossin,jdbcType=DECIMAL},
      </if>
      <if test="record.electriclossout != null">
        ELECTRICLOSSOUT = #{record.electriclossout,jdbcType=DECIMAL},
      </if>
      <if test="record.weatherlossout != null">
        WEATHERLOSSOUT = #{record.weatherlossout,jdbcType=DECIMAL},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windpowerinfoday
    set ID = #{record.id,jdbcType=INTEGER},
      FOREIGNKEYID = #{record.foreignkeyid,jdbcType=VARCHAR},
      RUNHOURS = #{record.runhours,jdbcType=DECIMAL},
      STOPHOURS = #{record.stophours,jdbcType=DECIMAL},
      FAULTHOURS = #{record.faulthours,jdbcType=DECIMAL},
      MAINTAINHOURS = #{record.maintainhours,jdbcType=DECIMAL},
      INTERRUPTHOURS = #{record.interrupthours,jdbcType=DECIMAL},
      GENERATINGCAPACITY = #{record.generatingcapacity,jdbcType=DECIMAL},
      SPEED = #{record.speed,jdbcType=DECIMAL},
      POWER = #{record.power,jdbcType=DECIMAL},
      RECORDDATE = #{record.recorddate,jdbcType=DATE},
      GRIDELECTRICITY = #{record.gridelectricity,jdbcType=DECIMAL},
      BUYELECTRICITY = #{record.buyelectricity,jdbcType=DECIMAL},
      INSTOP = #{record.instop,jdbcType=DECIMAL},
      OUTSTOP = #{record.outstop,jdbcType=DECIMAL},
      RUNTIME = #{record.runtime,jdbcType=DECIMAL},
      STOPTIME = #{record.stoptime,jdbcType=DECIMAL},
      FAULTTIME = #{record.faulttime,jdbcType=DECIMAL},
      MAINTAINTIME = #{record.maintaintime,jdbcType=DECIMAL},
      INTERRUPTTIME = #{record.interrupttime,jdbcType=DECIMAL},
      MONTHGC = #{record.monthgc,jdbcType=DECIMAL},
      YEARGC = #{record.yeargc,jdbcType=DECIMAL},
      THEORYGENERATION = #{record.theorygeneration,jdbcType=DECIMAL},
      LOSSOFPOWER = #{record.lossofpower,jdbcType=DECIMAL},
      FIELDELECTRICITY = #{record.fieldelectricity,jdbcType=DECIMAL},
      GENERATINGCAPACITY2 = #{record.generatingcapacity2,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{record.windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{record.projectid,jdbcType=VARCHAR},
      LINEID = #{record.lineid,jdbcType=VARCHAR},
      LOCATION = #{record.location,jdbcType=VARCHAR},
      BUYAGRICULTUREELECTRICITY = #{record.buyagricultureelectricity,jdbcType=DECIMAL},
      MONTHGC2 = #{record.monthgc2,jdbcType=DECIMAL},
      YEARGC2 = #{record.yeargc2,jdbcType=DECIMAL},
      SPEED2 = #{record.speed2,jdbcType=DECIMAL},
      MAXSPEED = #{record.maxspeed,jdbcType=DECIMAL},
      MINSPEED = #{record.minspeed,jdbcType=DECIMAL},
      LIMITPOWER = #{record.limitpower,jdbcType=DECIMAL},
      TOTALGC = #{record.totalgc,jdbcType=DECIMAL},
      TOTALGC2 = #{record.totalgc2,jdbcType=DECIMAL},
      THEORYGENERATIONZS = #{record.theorygenerationzs,jdbcType=DECIMAL},
      WINDHOURS = #{record.windhours,jdbcType=DECIMAL},
      MAXPOWER = #{record.maxpower,jdbcType=DECIMAL},
      MINPOWER = #{record.minpower,jdbcType=DECIMAL},
      MONTHGE = #{record.monthge,jdbcType=DECIMAL},
      YEARGE = #{record.yearge,jdbcType=DECIMAL},
      MONTHBE = #{record.monthbe,jdbcType=DECIMAL},
      YEARBE = #{record.yearbe,jdbcType=DECIMAL},
      MONTHAE = #{record.monthae,jdbcType=DECIMAL},
      YEARAE = #{record.yearae,jdbcType=DECIMAL},
      GENERATINGCAPACITY4 = #{record.generatingcapacity4,jdbcType=DECIMAL},
      GRIDELECTRICITY4 = #{record.gridelectricity4,jdbcType=DECIMAL},
      BUYELECTRICITY4 = #{record.buyelectricity4,jdbcType=DECIMAL},
      BUYAGRICULTUREELECTRICITY4 = #{record.buyagricultureelectricity4,jdbcType=DECIMAL},
      DAYLYXS = #{record.daylyxs,jdbcType=DECIMAL},
      MONTHLYXS = #{record.monthlyxs,jdbcType=DECIMAL},
      YEARLYXS = #{record.yearlyxs,jdbcType=DECIMAL},
      DAYZHCYDL = #{record.dayzhcydl,jdbcType=DECIMAL},
      MONTHZHCYDL = #{record.monthzhcydl,jdbcType=DECIMAL},
      YEARZHCYDL = #{record.yearzhcydl,jdbcType=DECIMAL},
      DAYSBKLYL = #{record.daysbklyl,jdbcType=DECIMAL},
      MONTHSBKLYL = #{record.monthsbklyl,jdbcType=DECIMAL},
      YEARSBKLYL = #{record.yearsbklyl,jdbcType=DECIMAL},
      DAYDXKYXS = #{record.daydxkyxs,jdbcType=DECIMAL},
      MONTHDXKYXS = #{record.monthdxkyxs,jdbcType=DECIMAL},
      YEARDXKYXS = #{record.yeardxkyxs,jdbcType=DECIMAL},
      MONTHSPEED = #{record.monthspeed,jdbcType=DECIMAL},
      YEARSPEED = #{record.yearspeed,jdbcType=DECIMAL},
      MONTHRUNTIME = #{record.monthruntime,jdbcType=DECIMAL},
      MONHTSTOPTIME = #{record.monhtstoptime,jdbcType=DECIMAL},
      MONTHFAULTTIME = #{record.monthfaulttime,jdbcType=DECIMAL},
      MONTHMAINTAINTIME = #{record.monthmaintaintime,jdbcType=DECIMAL},
      MONTHINTERRUPTTIME = #{record.monthinterrupttime,jdbcType=DECIMAL},
      YEARRUNTIME = #{record.yearruntime,jdbcType=DECIMAL},
      YEARSTOPTIME = #{record.yearstoptime,jdbcType=DECIMAL},
      YEARFAULTTIME = #{record.yearfaulttime,jdbcType=DECIMAL},
      YEARMAINTAINTIME = #{record.yearmaintaintime,jdbcType=DECIMAL},
      YEARINTERRUPTTIME = #{record.yearinterrupttime,jdbcType=DECIMAL},
      DAYCALENDARHOURS = #{record.daycalendarhours,jdbcType=DECIMAL},
      MONTHCALENDARHOURS = #{record.monthcalendarhours,jdbcType=DECIMAL},
      YEARCALENDARHOURS = #{record.yearcalendarhours,jdbcType=DECIMAL},
      LOSSOFPOWER1 = #{record.lossofpower1,jdbcType=DECIMAL},
      LOSSOFPOWER2 = #{record.lossofpower2,jdbcType=DECIMAL},
      LOSSOFPOWER3 = #{record.lossofpower3,jdbcType=DECIMAL},
      LOSSOFPOWER4 = #{record.lossofpower4,jdbcType=DECIMAL},
      MONTHWINDHOURS = #{record.monthwindhours,jdbcType=DECIMAL},
      YEARWINDHOURS = #{record.yearwindhours,jdbcType=DECIMAL},
      BROWNOUTSTIME = #{record.brownoutstime,jdbcType=DECIMAL},
      MONTHBROWNOUTSTIME = #{record.monthbrownoutstime,jdbcType=DECIMAL},
      YEARBROWNOUTSTIME = #{record.yearbrownoutstime,jdbcType=DECIMAL},
      MAINLOSSIN = #{record.mainlossin,jdbcType=DECIMAL},
      FAULTLOSSIN = #{record.faultlossin,jdbcType=DECIMAL},
      ELECTRICLOSSOUT = #{record.electriclossout,jdbcType=DECIMAL},
      WEATHERLOSSOUT = #{record.weatherlossout,jdbcType=DECIMAL}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Windpowerinfoday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windpowerinfoday
    <set>
      <if test="foreignkeyid != null">
        FOREIGNKEYID = #{foreignkeyid,jdbcType=VARCHAR},
      </if>
      <if test="runhours != null">
        RUNHOURS = #{runhours,jdbcType=DECIMAL},
      </if>
      <if test="stophours != null">
        STOPHOURS = #{stophours,jdbcType=DECIMAL},
      </if>
      <if test="faulthours != null">
        FAULTHOURS = #{faulthours,jdbcType=DECIMAL},
      </if>
      <if test="maintainhours != null">
        MAINTAINHOURS = #{maintainhours,jdbcType=DECIMAL},
      </if>
      <if test="interrupthours != null">
        INTERRUPTHOURS = #{interrupthours,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity != null">
        GENERATINGCAPACITY = #{generatingcapacity,jdbcType=DECIMAL},
      </if>
      <if test="speed != null">
        SPEED = #{speed,jdbcType=DECIMAL},
      </if>
      <if test="power != null">
        POWER = #{power,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        RECORDDATE = #{recorddate,jdbcType=DATE},
      </if>
      <if test="gridelectricity != null">
        GRIDELECTRICITY = #{gridelectricity,jdbcType=DECIMAL},
      </if>
      <if test="buyelectricity != null">
        BUYELECTRICITY = #{buyelectricity,jdbcType=DECIMAL},
      </if>
      <if test="instop != null">
        INSTOP = #{instop,jdbcType=DECIMAL},
      </if>
      <if test="outstop != null">
        OUTSTOP = #{outstop,jdbcType=DECIMAL},
      </if>
      <if test="runtime != null">
        RUNTIME = #{runtime,jdbcType=DECIMAL},
      </if>
      <if test="stoptime != null">
        STOPTIME = #{stoptime,jdbcType=DECIMAL},
      </if>
      <if test="faulttime != null">
        FAULTTIME = #{faulttime,jdbcType=DECIMAL},
      </if>
      <if test="maintaintime != null">
        MAINTAINTIME = #{maintaintime,jdbcType=DECIMAL},
      </if>
      <if test="interrupttime != null">
        INTERRUPTTIME = #{interrupttime,jdbcType=DECIMAL},
      </if>
      <if test="monthgc != null">
        MONTHGC = #{monthgc,jdbcType=DECIMAL},
      </if>
      <if test="yeargc != null">
        YEARGC = #{yeargc,jdbcType=DECIMAL},
      </if>
      <if test="theorygeneration != null">
        THEORYGENERATION = #{theorygeneration,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower != null">
        LOSSOFPOWER = #{lossofpower,jdbcType=DECIMAL},
      </if>
      <if test="fieldelectricity != null">
        FIELDELECTRICITY = #{fieldelectricity,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity2 != null">
        GENERATINGCAPACITY2 = #{generatingcapacity2,jdbcType=DECIMAL},
      </if>
      <if test="windpowerstationid != null">
        WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        PROJECTID = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        LINEID = #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="location != null">
        LOCATION = #{location,jdbcType=VARCHAR},
      </if>
      <if test="buyagricultureelectricity != null">
        BUYAGRICULTUREELECTRICITY = #{buyagricultureelectricity,jdbcType=DECIMAL},
      </if>
      <if test="monthgc2 != null">
        MONTHGC2 = #{monthgc2,jdbcType=DECIMAL},
      </if>
      <if test="yeargc2 != null">
        YEARGC2 = #{yeargc2,jdbcType=DECIMAL},
      </if>
      <if test="speed2 != null">
        SPEED2 = #{speed2,jdbcType=DECIMAL},
      </if>
      <if test="maxspeed != null">
        MAXSPEED = #{maxspeed,jdbcType=DECIMAL},
      </if>
      <if test="minspeed != null">
        MINSPEED = #{minspeed,jdbcType=DECIMAL},
      </if>
      <if test="limitpower != null">
        LIMITPOWER = #{limitpower,jdbcType=DECIMAL},
      </if>
      <if test="totalgc != null">
        TOTALGC = #{totalgc,jdbcType=DECIMAL},
      </if>
      <if test="totalgc2 != null">
        TOTALGC2 = #{totalgc2,jdbcType=DECIMAL},
      </if>
      <if test="theorygenerationzs != null">
        THEORYGENERATIONZS = #{theorygenerationzs,jdbcType=DECIMAL},
      </if>
      <if test="windhours != null">
        WINDHOURS = #{windhours,jdbcType=DECIMAL},
      </if>
      <if test="maxpower != null">
        MAXPOWER = #{maxpower,jdbcType=DECIMAL},
      </if>
      <if test="minpower != null">
        MINPOWER = #{minpower,jdbcType=DECIMAL},
      </if>
      <if test="monthge != null">
        MONTHGE = #{monthge,jdbcType=DECIMAL},
      </if>
      <if test="yearge != null">
        YEARGE = #{yearge,jdbcType=DECIMAL},
      </if>
      <if test="monthbe != null">
        MONTHBE = #{monthbe,jdbcType=DECIMAL},
      </if>
      <if test="yearbe != null">
        YEARBE = #{yearbe,jdbcType=DECIMAL},
      </if>
      <if test="monthae != null">
        MONTHAE = #{monthae,jdbcType=DECIMAL},
      </if>
      <if test="yearae != null">
        YEARAE = #{yearae,jdbcType=DECIMAL},
      </if>
      <if test="generatingcapacity4 != null">
        GENERATINGCAPACITY4 = #{generatingcapacity4,jdbcType=DECIMAL},
      </if>
      <if test="gridelectricity4 != null">
        GRIDELECTRICITY4 = #{gridelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="buyelectricity4 != null">
        BUYELECTRICITY4 = #{buyelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="buyagricultureelectricity4 != null">
        BUYAGRICULTUREELECTRICITY4 = #{buyagricultureelectricity4,jdbcType=DECIMAL},
      </if>
      <if test="daylyxs != null">
        DAYLYXS = #{daylyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthlyxs != null">
        MONTHLYXS = #{monthlyxs,jdbcType=DECIMAL},
      </if>
      <if test="yearlyxs != null">
        YEARLYXS = #{yearlyxs,jdbcType=DECIMAL},
      </if>
      <if test="dayzhcydl != null">
        DAYZHCYDL = #{dayzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="monthzhcydl != null">
        MONTHZHCYDL = #{monthzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="yearzhcydl != null">
        YEARZHCYDL = #{yearzhcydl,jdbcType=DECIMAL},
      </if>
      <if test="daysbklyl != null">
        DAYSBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      </if>
      <if test="monthsbklyl != null">
        MONTHSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="yearsbklyl != null">
        YEARSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      </if>
      <if test="daydxkyxs != null">
        DAYDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthdxkyxs != null">
        MONTHDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="yeardxkyxs != null">
        YEARDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      </if>
      <if test="monthspeed != null">
        MONTHSPEED = #{monthspeed,jdbcType=DECIMAL},
      </if>
      <if test="yearspeed != null">
        YEARSPEED = #{yearspeed,jdbcType=DECIMAL},
      </if>
      <if test="monthruntime != null">
        MONTHRUNTIME = #{monthruntime,jdbcType=DECIMAL},
      </if>
      <if test="monhtstoptime != null">
        MONHTSTOPTIME = #{monhtstoptime,jdbcType=DECIMAL},
      </if>
      <if test="monthfaulttime != null">
        MONTHFAULTTIME = #{monthfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="monthmaintaintime != null">
        MONTHMAINTAINTIME = #{monthmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="monthinterrupttime != null">
        MONTHINTERRUPTTIME = #{monthinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="yearruntime != null">
        YEARRUNTIME = #{yearruntime,jdbcType=DECIMAL},
      </if>
      <if test="yearstoptime != null">
        YEARSTOPTIME = #{yearstoptime,jdbcType=DECIMAL},
      </if>
      <if test="yearfaulttime != null">
        YEARFAULTTIME = #{yearfaulttime,jdbcType=DECIMAL},
      </if>
      <if test="yearmaintaintime != null">
        YEARMAINTAINTIME = #{yearmaintaintime,jdbcType=DECIMAL},
      </if>
      <if test="yearinterrupttime != null">
        YEARINTERRUPTTIME = #{yearinterrupttime,jdbcType=DECIMAL},
      </if>
      <if test="daycalendarhours != null">
        DAYCALENDARHOURS = #{daycalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="monthcalendarhours != null">
        MONTHCALENDARHOURS = #{monthcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="yearcalendarhours != null">
        YEARCALENDARHOURS = #{yearcalendarhours,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower1 != null">
        LOSSOFPOWER1 = #{lossofpower1,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower2 != null">
        LOSSOFPOWER2 = #{lossofpower2,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower3 != null">
        LOSSOFPOWER3 = #{lossofpower3,jdbcType=DECIMAL},
      </if>
      <if test="lossofpower4 != null">
        LOSSOFPOWER4 = #{lossofpower4,jdbcType=DECIMAL},
      </if>
      <if test="monthwindhours != null">
        MONTHWINDHOURS = #{monthwindhours,jdbcType=DECIMAL},
      </if>
      <if test="yearwindhours != null">
        YEARWINDHOURS = #{yearwindhours,jdbcType=DECIMAL},
      </if>
      <if test="brownoutstime != null">
        BROWNOUTSTIME = #{brownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="monthbrownoutstime != null">
        MONTHBROWNOUTSTIME = #{monthbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="yearbrownoutstime != null">
        YEARBROWNOUTSTIME = #{yearbrownoutstime,jdbcType=DECIMAL},
      </if>
      <if test="mainlossin != null">
        MAINLOSSIN = #{mainlossin,jdbcType=DECIMAL},
      </if>
      <if test="faultlossin != null">
        FAULTLOSSIN = #{faultlossin,jdbcType=DECIMAL},
      </if>
      <if test="electriclossout != null">
        ELECTRICLOSSOUT = #{electriclossout,jdbcType=DECIMAL},
      </if>
      <if test="weatherlossout != null">
        WEATHERLOSSOUT = #{weatherlossout,jdbcType=DECIMAL},
      </if>
    </set>
    where ID = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Windpowerinfoday">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windpowerinfoday
    set FOREIGNKEYID = #{foreignkeyid,jdbcType=VARCHAR},
      RUNHOURS = #{runhours,jdbcType=DECIMAL},
      STOPHOURS = #{stophours,jdbcType=DECIMAL},
      FAULTHOURS = #{faulthours,jdbcType=DECIMAL},
      MAINTAINHOURS = #{maintainhours,jdbcType=DECIMAL},
      INTERRUPTHOURS = #{interrupthours,jdbcType=DECIMAL},
      GENERATINGCAPACITY = #{generatingcapacity,jdbcType=DECIMAL},
      SPEED = #{speed,jdbcType=DECIMAL},
      POWER = #{power,jdbcType=DECIMAL},
      RECORDDATE = #{recorddate,jdbcType=DATE},
      GRIDELECTRICITY = #{gridelectricity,jdbcType=DECIMAL},
      BUYELECTRICITY = #{buyelectricity,jdbcType=DECIMAL},
      INSTOP = #{instop,jdbcType=DECIMAL},
      OUTSTOP = #{outstop,jdbcType=DECIMAL},
      RUNTIME = #{runtime,jdbcType=DECIMAL},
      STOPTIME = #{stoptime,jdbcType=DECIMAL},
      FAULTTIME = #{faulttime,jdbcType=DECIMAL},
      MAINTAINTIME = #{maintaintime,jdbcType=DECIMAL},
      INTERRUPTTIME = #{interrupttime,jdbcType=DECIMAL},
      MONTHGC = #{monthgc,jdbcType=DECIMAL},
      YEARGC = #{yeargc,jdbcType=DECIMAL},
      THEORYGENERATION = #{theorygeneration,jdbcType=DECIMAL},
      LOSSOFPOWER = #{lossofpower,jdbcType=DECIMAL},
      FIELDELECTRICITY = #{fieldelectricity,jdbcType=DECIMAL},
      GENERATINGCAPACITY2 = #{generatingcapacity2,jdbcType=DECIMAL},
      WINDPOWERSTATIONID = #{windpowerstationid,jdbcType=VARCHAR},
      PROJECTID = #{projectid,jdbcType=VARCHAR},
      LINEID = #{lineid,jdbcType=VARCHAR},
      LOCATION = #{location,jdbcType=VARCHAR},
      BUYAGRICULTUREELECTRICITY = #{buyagricultureelectricity,jdbcType=DECIMAL},
      MONTHGC2 = #{monthgc2,jdbcType=DECIMAL},
      YEARGC2 = #{yeargc2,jdbcType=DECIMAL},
      SPEED2 = #{speed2,jdbcType=DECIMAL},
      MAXSPEED = #{maxspeed,jdbcType=DECIMAL},
      MINSPEED = #{minspeed,jdbcType=DECIMAL},
      LIMITPOWER = #{limitpower,jdbcType=DECIMAL},
      TOTALGC = #{totalgc,jdbcType=DECIMAL},
      TOTALGC2 = #{totalgc2,jdbcType=DECIMAL},
      THEORYGENERATIONZS = #{theorygenerationzs,jdbcType=DECIMAL},
      WINDHOURS = #{windhours,jdbcType=DECIMAL},
      MAXPOWER = #{maxpower,jdbcType=DECIMAL},
      MINPOWER = #{minpower,jdbcType=DECIMAL},
      MONTHGE = #{monthge,jdbcType=DECIMAL},
      YEARGE = #{yearge,jdbcType=DECIMAL},
      MONTHBE = #{monthbe,jdbcType=DECIMAL},
      YEARBE = #{yearbe,jdbcType=DECIMAL},
      MONTHAE = #{monthae,jdbcType=DECIMAL},
      YEARAE = #{yearae,jdbcType=DECIMAL},
      GENERATINGCAPACITY4 = #{generatingcapacity4,jdbcType=DECIMAL},
      GRIDELECTRICITY4 = #{gridelectricity4,jdbcType=DECIMAL},
      BUYELECTRICITY4 = #{buyelectricity4,jdbcType=DECIMAL},
      BUYAGRICULTUREELECTRICITY4 = #{buyagricultureelectricity4,jdbcType=DECIMAL},
      DAYLYXS = #{daylyxs,jdbcType=DECIMAL},
      MONTHLYXS = #{monthlyxs,jdbcType=DECIMAL},
      YEARLYXS = #{yearlyxs,jdbcType=DECIMAL},
      DAYZHCYDL = #{dayzhcydl,jdbcType=DECIMAL},
      MONTHZHCYDL = #{monthzhcydl,jdbcType=DECIMAL},
      YEARZHCYDL = #{yearzhcydl,jdbcType=DECIMAL},
      DAYSBKLYL = #{daysbklyl,jdbcType=DECIMAL},
      MONTHSBKLYL = #{monthsbklyl,jdbcType=DECIMAL},
      YEARSBKLYL = #{yearsbklyl,jdbcType=DECIMAL},
      DAYDXKYXS = #{daydxkyxs,jdbcType=DECIMAL},
      MONTHDXKYXS = #{monthdxkyxs,jdbcType=DECIMAL},
      YEARDXKYXS = #{yeardxkyxs,jdbcType=DECIMAL},
      MONTHSPEED = #{monthspeed,jdbcType=DECIMAL},
      YEARSPEED = #{yearspeed,jdbcType=DECIMAL},
      MONTHRUNTIME = #{monthruntime,jdbcType=DECIMAL},
      MONHTSTOPTIME = #{monhtstoptime,jdbcType=DECIMAL},
      MONTHFAULTTIME = #{monthfaulttime,jdbcType=DECIMAL},
      MONTHMAINTAINTIME = #{monthmaintaintime,jdbcType=DECIMAL},
      MONTHINTERRUPTTIME = #{monthinterrupttime,jdbcType=DECIMAL},
      YEARRUNTIME = #{yearruntime,jdbcType=DECIMAL},
      YEARSTOPTIME = #{yearstoptime,jdbcType=DECIMAL},
      YEARFAULTTIME = #{yearfaulttime,jdbcType=DECIMAL},
      YEARMAINTAINTIME = #{yearmaintaintime,jdbcType=DECIMAL},
      YEARINTERRUPTTIME = #{yearinterrupttime,jdbcType=DECIMAL},
      DAYCALENDARHOURS = #{daycalendarhours,jdbcType=DECIMAL},
      MONTHCALENDARHOURS = #{monthcalendarhours,jdbcType=DECIMAL},
      YEARCALENDARHOURS = #{yearcalendarhours,jdbcType=DECIMAL},
      LOSSOFPOWER1 = #{lossofpower1,jdbcType=DECIMAL},
      LOSSOFPOWER2 = #{lossofpower2,jdbcType=DECIMAL},
      LOSSOFPOWER3 = #{lossofpower3,jdbcType=DECIMAL},
      LOSSOFPOWER4 = #{lossofpower4,jdbcType=DECIMAL},
      MONTHWINDHOURS = #{monthwindhours,jdbcType=DECIMAL},
      YEARWINDHOURS = #{yearwindhours,jdbcType=DECIMAL},
      BROWNOUTSTIME = #{brownoutstime,jdbcType=DECIMAL},
      MONTHBROWNOUTSTIME = #{monthbrownoutstime,jdbcType=DECIMAL},
      YEARBROWNOUTSTIME = #{yearbrownoutstime,jdbcType=DECIMAL},
      MAINLOSSIN = #{mainlossin,jdbcType=DECIMAL},
      FAULTLOSSIN = #{faultlossin,jdbcType=DECIMAL},
      ELECTRICLOSSOUT = #{electriclossout,jdbcType=DECIMAL},
      WEATHERLOSSOUT = #{weatherlossout,jdbcType=DECIMAL}
    where ID = #{id,jdbcType=INTEGER}
  </update>
</mapper>